#sim-name {
    font-size: 1.5rem;
    font-weight: 600;
    flex: 1 1;
    height: 64px;
    background: var(--body-color) !important;
}

#sim-header {
    display: flex;
    align-items: center;
    margin: 3rem 0 1rem 0;
    user-select: none;
    --webkit-user-select: none;
    gap: 1rem;
}

 input, button{
   
    background: var(--body-color);
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    padding: 0.5rem 1rem;
    cursor: pointer;
    transition: background 100ms, border-radius 150ms;
}
button:hover {
    border: none;
    border-radius: 4px;
    background: var(--primary-color);
    color: var(--primary-color-content);
}

#file-name {
    flex: 1 1;
    padding: 0.5rem 1rem;
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    background: var(--body-color);
    cursor: pointer;
    transition: background 100ms, border-radius 150ms;
    width: 60%;
}

#copy-btn
{
    background: var(--body-color);
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    padding: 0.5rem 1rem;
    cursor: pointer;
    transition: background 100ms, border-radius 150ms;
    position: fixed;
    top: 1rem;
    right: 1rem;
}
#copy-btn:hover {
    border: none;
    border-radius: 4px;
    background: var(--primary-color);
    color: var(--primary-color-content);
}

#close-btn
{
   /* center in bottom*/
    position: fixed;
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
    background: var(--body-color);
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    padding: 0.5rem 1rem;
    cursor: pointer;
    transition: background 100ms, border-radius 150ms;
    
}


#sim-header button {
    height: 64px;
    width: 64px;
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    background: var(--body-color);
    cursor: pointer;
    transition: background 100ms, border-radius 150ms;
}

#sim-header button:hover {
    border: none;
    border-radius: 4px;
    background: var(--primary-color);
    color: var(--primary-color-content);
}

#render-area {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    width: 100%;
}

#render-area h2 {
    margin: 3rem 0 1rem 0;
}

#render-area>ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}


@media screen and (max-width: 1024px) {
    #render-area>ul {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 768px) {
    #render-area>ul {
        grid-template-columns: repeat(1, 1fr);
    }
}

#render-area>ul>li {
    min-width: 0;
}

#render-area input {
    background: none;
    border-radius: 4px;
    border: 1px solid rgb(165, 165, 165);
    padding: 0.5rem;
}

#render-area input[type="number"] {
    text-align: center;
    font-family: monospace;
    flex: 0 1;
    min-width: 4rem;

}

#render-area input:focus {
    border: 1px solid hsl(200, 67%, 52%, 0);
    outline: 2px solid hsl(200, 67%, 52%);
    outline-offset: 0px;
}

button {
    border: none;
}

.division {
    border-radius: 8px;
    /* border: rgb(165, 165, 165) 1px solid; */
    min-height: 136px;
    height: 100%;
    padding: 1rem;
    background: var(--body-color);
    /* user-select: none;
    --webkit-user-select: none; */

    /* dropshadow */
    filter: drop-shadow(0 0 4px var(--shadow-color)) drop-shadow(0 4px 4px var(--shadow-color));

    display: flex;
    flex-direction: column;

    gap: 1rem;
}

button.division.add-division {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.dark-mode .division {
    filter: unset;
    outline: 1px solid rgb(165, 165, 165, 0.4);
}

.division>header {
    display: flex;
    height: 48px;
    justify-content: stretch;
    align-items: stretch;
    gap: 0.5rem;
    font-weight: 600;
}

.division>header>input {
    background: none;
    border: none;
    padding: 0 .5rem;
    flex: 1 1;
}

.division>header>button {
    background: transparent;
    color: inherit;
    border: 1px solid rgb(165, 165, 165);
    border-radius: 8px;
    cursor: pointer;
    user-select: none;
    --webkit-user-select: none;
    width: 48px;
    height: 48px;
    transition: border-radius 150ms, background 100ms;
}

.division>header>button:hover {

    background: rgba(255, 124, 124);
    color: rgb(252, 229, 229);
    border-radius: 4px;
    border: none;
}




.options {
    display: contents;
}

.option {
    display: flex;
    gap: 1rem;
    justify-content: stretch;
    align-items: center;
}

.option>i {
    width: 1.5rem;
    color: rgb(165, 165, 165);
}

.option>p {
    flex: 1 0;
}

.option>input::-webkit-outer-spin-button,
.option>input::-webkit-inner-spin-button {
    appearance: none;
}

.add-option {
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 8px;
    background: var(--body-color-200);
    color: inherit;

    cursor: pointer;

    margin-top: auto;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    background-image:
        linear-gradient(45deg, transparent 50%, #ccc 50%),
        linear-gradient(135deg, #ccc 50%, transparent 50%),
        linear-gradient(to right, #ccc, #ccc);
    background-position:
        calc(100% - 20px) calc(1em + 2px),
        calc(100% - 15px) calc(1em + 2px),
        calc(100% - 2.5em) 0.5em;
    background-size:
        5px 5px,
        5px 5px,
        1px 1.5em;
    background-repeat: no-repeat;
}

#shopping-list {

    padding: 0 2rem;
    background: var(--body-color-200);
    border-radius: 8px;

    position: sticky;
    top: 7rem;
    height: 120vh;
    width: 500px;

    overflow-y: auto;
}

#shopping-list::-webkit-scrollbar {
    width: 32px;
    background: none;
}

#shopping-list::-webkit-scrollbar-thumb {
    background: var(--body-color-300);
    border-radius: 16px;
    background-clip: content-box;
    border: 14px solid transparent;
}

#shopping-list .category {
    margin-bottom: 2rem;
}

#shopping-list .category>p {
    font-weight: bold;
    margin-bottom: 1rem;
    opacity: .4;
}

#shopping-list h2 {
    position: sticky;
    padding: 2rem 0;
    /* no wrap */
    white-space: nowrap;
    margin: 0;
    top: 0;
    z-index: 1;

    background: var(--body-color-200);
}

#shopping-list li {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}

#shopping-list li p:first-of-type {
    flex-grow: 1;
}

#shopping-list li .monospace {
    font-family: monospace;
}

main>.content {
    /* position: relative; */
    display: flex;
    flex-direction: row;
    gap: 2rem;
    padding: 2rem;
    max-width: 1440px;
    margin: 0 auto;
}

#load-template-panel {
   
    gap: 1rem;
    padding: 1rem;
    background: var(--body-color-300);
    border-radius: 8px;
    width: 100%;
}



